Subject: Re: [PATCH 7/32] powerpc: Make pci_read_irq_line the default

From: Zang Roy-r61911 <[email-masked]>
Date: 14 Nov 2006 13:47:10 +0800

On Fri, 2006-11-10 at 15:44, Benjamin Herrenschmidt wrote:

> I also haven't updated the old-style fixup code from 85xx_cds.c
> because it's actually buggy :) It assigns pci_dev->irq hard coded
> numbers which is no good with the new IRQ mapping code. It should
> at least use irq_create_mapping(NULL, hard_coded_number); and possibly
> also set_irq_type() to set them as level low.
> 
85xx cds is a little more complex. There are hardware revises.
Hope to fix it soon :-).
Roy